////////////////////////////////////////////////////////////////////////////////
//
// Project name: MyIrcDcLinks
// Author: burek
// E-mail: burek021@gmail.com
// Date: 10/Oct/2009
// Version: 1.4
// Target:	Win32, Delphi 7
// License: GNU/GPL
//
// Description:
//
//   MyIrcDcLinks is an application written in Delphi 7 (for Windows), that is
//   able to connect to multiple dc hubs (and irc servers) and transmit chat
//   messages from each one to the others. The similar project is DC hublink:
//   http://dc-hublink.sourceforge.net/
//
////////////////////////////////////////////////////////////////////////////////
program MyIrcDcLinks;

uses
  Forms,
  UnitMain in 'UnitMain.pas' {MainForm},
  UnitDC in 'UnitDC.pas',
  UnitIRC in 'UnitIRC.pas',
  UnitIRCDCBase in 'UnitIRCDCBase.pas',
  UnitLocalCommands in 'UnitLocalCommands.pas',
  UnitUtils in 'UnitUtils.pas',
  UnitMessages in 'UnitMessages.pas',
  SystemTrayIconForm in 'SystemTrayIconForm.pas';

{$R *.res}

begin
  Application.Initialize;
  Application.Title := 'MyIrcDcLinks';
  Application.CreateForm(TMainForm, MainForm);
  Application.Run;
end.
