////////////////////////////////////////////////////////////////////////////////
//
// Project name: MyIrcDcLinks
// Author: burek
// E-mail: burek021@gmail.com
// Date: 10/Oct/2009
// Version: 1.4
// Target:	Win32, Delphi 7
// License: GNU/GPL
//
// Description:
//
//   MyIrcDcLinks is an application written in Delphi 7 (for Windows), that is
//   able to connect to multiple dc hubs (and irc servers) and transmit chat
//   messages from each one to the others. The similar project is DC hublink:
//   http://dc-hublink.sourceforge.net/
//
////////////////////////////////////////////////////////////////////////////////
//------------------------------------------------------------------------------
unit UnitMessages;
//------------------------------------------------------------------------------
interface
uses Classes, SysUtils;
//------------------------------------------------------------------------------
const
  MSG_VERSION = 'MyIrcDcLinks v.1.4.';
  MSG_ABOUT = MSG_VERSION + ' by burek (burek021@gmail.com). Licensed under GNU/GPL.';

  MSG_ADVERT = MSG_VERSION + ' OPs, please type .help (in private).';
  MSG_HELP =
      'The following commands are available to OPs:'#13#10 +
      '.help - shows this screen'#13#10 +
      '.mute - stop broadcasting messages to/from your hub/irc'#13#10 +
      '.unmute - resume broadcasting messages to/from your hub/irc'#13#10 +
      '.myinfo - shows the settings associated with your hub/irc'#13#10 +
      '.ignore <nick> - ignore nick (ignore is used to mute users outside your hub/irc)'#13#10 +
      '.ignorelist - Show the ignore list'#13#10 +
      '.unignore <nick> - unignore previously ignored nick'#13#10 +
      '.unignoreall - remove all ignores for your hub/irc'#13#10 +
      '.oplist - show all ops on your irc/hub'#13#10 +
      '.links - show all currently linked hubs/ircs'#13#10 +
      '.about - shows the info about the author';
  MSG_OK_MUTE = 'You have successfully muted all traffic. No messages will be transmitted to or from your hub/irc.';
  MSG_OK_UNMUTE = 'You have successfully unmuted all traffic. Messages will again be transmitted to or from your hub/irc.';
  MSG_OK_IGNORELIST = 'Ignore list:';
  MSG_OK_IGNORELISTEMPTY = 'The ignore list is empty.';
  MSG_OK_IGNORE = 'User added to ignore list. Type .ignorelist to see the list of ignored users or type .unignoreall to clear the ignore list.';
  MSG_ERR_IGNOREEXISTS = 'User already exists in ignore list.';
  MSG_OK_UNIGNORE = 'User removed from ignore list. Type .ignorelist to see the list of ignored users or type .unignoreall to clear the ignore list.';
  MSG_ERR_UNIGNORE = 'User does not exist in ignore list. Type .ignorelist to see the list of ignored users or type .unignoreall to clear the ignore list.';
  MSG_OK_UNIGNOREALL = 'Ignore list has been cleared.';

//------------------------------------------------------------------------------
implementation
//------------------------------------------------------------------------------
end.
